Skip to main content

Get logs belonging to a Service

GET/v2/stacks/{stackId}/services/{serviceId}/logs
API version
v2
Request method
GET
Operation ID
container-get-service-logs

Request​

  • stackIdstring (uuid)required

    ID of the Stack the Service belongs to.

  • serviceIdstringrequired

    ID of the Service to get logs for.

Responses​

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/stacks/f0f86186-0a5a-45b2-aa33-502777496347/services/string/logs?tail=123
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.getServiceLogs({
"stackId": "f0f86186-0a5a-45b2-aa33-502777496347",
"serviceId": "string",
"queryParameters": {
"tail": 123
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Container\GetServiceLogs\GetServiceLogsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetServiceLogsRequest(
stackId: "f0f86186-0a5a-45b2-aa33-502777496347",
serviceId: "string"
))
->withTail(123);
$response = $client->container()->getServiceLogs($request);

var_dump($response->getBody();

On this page